Page MenuHomePhabricator

[CMake] Support libc++ as Clang default stdlib in compiler-rt
ClosedPublic

Authored by phosek on May 18 2018, 8:21 PM.

Details

Summary

Use libc++ when selected as default Clang stdlib and avoid checking
C++ compiler when using the in-tree version of libc++.

This is a partial alternative to D47094 that does not rely on compiler
runtime checks.

Diff Detail

Event Timeline

phosek created this revision.May 18 2018, 8:21 PM
Herald added subscribers: Restricted Project, llvm-commits, mgorny. · View Herald Transcript
phosek updated this revision to Diff 147644.May 18 2018, 8:24 PM
phosek updated this revision to Diff 147692.May 19 2018, 5:57 PM
phosek retitled this revision from [CMake] Support libc++ as Clang default stdlib to [CMake] Support libc++ as Clang default stdlib in compiler-rt.
vitalybuka accepted this revision.May 21 2018, 3:32 PM
vitalybuka added inline comments.
compiler-rt/CMakeLists.txt
143 ↗(On Diff #147692)

Is it possible to split the patch in parts and submit independently with some delay for easier debugging?

This revision is now accepted and ready to land.May 21 2018, 3:32 PM
phosek added inline comments.May 21 2018, 4:08 PM
compiler-rt/CMakeLists.txt
143 ↗(On Diff #147692)

Yes, totally. Do you have any preference? I could split the change to test_target_arch as one patch, change to options as a second one and change to llvm/runtimes as a third one?

vitalybuka added inline comments.May 21 2018, 4:37 PM
compiler-rt/CMakeLists.txt
143 ↗(On Diff #147692)

sgtm

phosek updated this revision to Diff 147930.May 21 2018, 6:30 PM
phosek updated this revision to Diff 147931.
phosek updated this revision to Diff 148041.May 22 2018, 10:07 AM
This revision was automatically updated to reflect the committed changes.